UPDATE: How to Blog has MOVED! Please update your bookmarks and feeds! The new address is :
http://www.emilyrobbins.com/how-to-blog/
and all new posts and post updates will be made there! Comments and trackbacks at this location are now closed -- please visit the new How to Blog site in order to add a comment or a trackback and see updates to existing posts as well as all new posts from this point forward!

« Plugins for WordPress 1.5.1 | Main | Troubles getting BlogJet to work with WordPress? You need to upgrade to WordPress 1.5.1.1 »

May 20, 2005

Yet another WordPress update - 1.5.1.1 is out

THIS POST HAS BEEN MOVED TO:

http://www.emilyrobbins.com/how-to-blog/yet-another-wordpress-update-1511-is-out-284.htm

Please update your bookmarks to reflect the new, permanent location of How to Blog.  Comments and trackbacks on this post are now closed.  If you wish to comment on this post, please visit the new site!  Thank you!

-----------------------------------------------------------------------------------------------------------------------

Shortly after the release of WordPress 1.5.1 (which came out shortly after 1.5…) we now have a new update: WordPress 1.5.1.1

From the dev team:

“Update: In our effort to optimize we made two mistakes in 1.5.1, one related to feeds and one related to trackbacks and pingbacks. We’ve updated the download with 1.5.1.1 which corrects these bugs and a few others.”

I’m all for bug fixes, and I really love WordPress (I’m having fun playing around with the semiologic theme over at my tools and hardware review site), but it’s really frustrating to have to keep updating all of our wordpress files in such a short time span.

We’ve no idea which files have been updated, and are just told to “Just overwrite your old WordPress files and be careful not to delete anything important in your wp-content folder.”  At this point in time, while annoying, it isn’t too much hassle to do.  However, many people have chosen to make modifications to the code (there are numerous hacks discussed in WordPress Support) and now they’ve got to remember what changes they made and where and reimplement them in the new release (as some folks complained about when told to upgrade to 1.5.1-- see the following lengthy thread for example – wait til they find out they’ve got to do it all over again!  Yikes).  For those who’ve done a lot of hacking, this is a lot to ask for in such a small time frame – that’s why there’s a difference between nightly builds and what we’re told is a ‘stable release’.

It also makes all of the the plug-in developers and theme developers need to go back and check their compatibility (and possibly update their code) with the latest version 1.5.1.1.

On the flip side, I have just installed the upgrade on my tool reviews site, and have already noticed a change for the better speed wise, which I assume must be somewhat related to the problems with trackbacks and pings -- sometimes it would take forever just to publish a simple post...

So, kudos to the WordPress team for working so hard to get the fixes out so quickly, I just wish they had done a better job of testing both 1.5 and 1.5.1 before causing a lot of trouble for numerous users in the WordPress community (although many experienced no problems with either upgrade).  I think the moral of this story is that if you don't wanna be on the bleeding edge, perhaps it's best to wait after a new release comes out before you automatically jump to upgrade (ESPECIALLY if you've hacked the code at all so that an upgrade becomes more work than just copying files over), and hanging out for a while (days would be a good idea) in the WordPress support forums to see how smoothly the upgrade goes for other users.  Remember, most of the people who post in the support forums are the ones having problems, so it's not necessarily representative of how users feel as a whole -- those without problems are likely not to be posting in the support forums.  What it comes down to is a personal decision -- how difficult is it for you to do an upgrade, and how frustrated will you be if it breaks some of the functionality of your previous version.  If your current installation of WordPress is working perfectly for you, might be worth waiting a few days to see if there's any fallout before upgrading.

That said, one of the reasons we were told that version 1.5.1 was a necessary upgrade was because it contained a security fix (which has yet to be identified to the public), so while many were hesitant to do the upgrade, many went through with it anyway because they feared the security flaw in version 1.5, especially since we didn't know what the security flaw was or how dangerous it was...

it's a strange situation -- how can you fault the developers for having released a buggy version too quickly when they're working for free... don't ever forget this awesome software is free.  And that said, the sad fact is that all software has bugs -- commercial software included.  I used to work as a software quality assurance engineer before my injury (which basically means I tested the software as the developers wrote the code, trying to find the bugs, and often with each bug fixed either a new bug would arise or something that previously worked would break as a result of the new bug’s fix -- it's kind of the nature of the beast in the business) and it was pretty much do whatever it takes to get the product out on time, which generally amounted to shipping a product with known bugs, so long as they were not likely to affect a large number of users and would not cause the program or the computer to crash -- and even then, sometimes disasters happened -- and this is for software that people were paying for.

I’ve kind of gone off on a tangent and rambled a bit, and while I'm at it I might as well just throw in a little whining because my wrists and neck have really been hurting me lately from working too much, so I'm back to using voice recognition software, but for some reason it doesn't work with BlogJet (it doesn't allow dictation in the post body, but it will let me dictate the subject -- what's up with that?)

Oh yeah -- and now that my RSI is acting up and I'm dictating my entries using Dragon NaturallySpeaking, please forgive me if there are any weird dictation errors that I didn't catch -- although I would have to say that it's amazingly accurate compared to versions of years ago)

May 20, 2005 in Weblogs, WordPress | Permalink | Email This Post

Bookmark with del.icio.us, add to Yahoo!MyWeb or Digg This!

Comments

sounds like "quality is a feature": http://www.sixapart.com/about/corner/2005/04/movable_type_31_2.html

Posted by: James | May 20, 2005 4:59:40 PM

I experienced no problems with upgrading although it was just a minor one. The instructions were not all that clear though, they could be better.

Posted by: the english guy | Jun 3, 2005 6:06:49 AM

The comments to this entry are closed.

UPDATE: How to Blog has MOVED! Please update your bookmarks and feeds! The new address is :
http://www.emilyrobbins.com/how-to-blog/
and all new posts and post updates will be made there! Comments and trackbacks at this location are now closed -- please visit the new How to Blog site in order to add a comment or a trackback and see updates to existing posts as well as all new posts from this point forward!